This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 407261 - SELinux is preventing gnome-keyring-d (xdm_t) "search" to (iso9660_t)
SELinux is preventing gnome-keyring-d (xdm_t) "search" to (iso9660_t)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 07:18 EST by Ivan Virgili
Modified: 2008-01-30 14:18 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:18:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Virgili 2007-12-01 07:18:35 EST
Summary
    SELinux is preventing gnome-keyring-d (xdm_t) "search" to <Unknown>
    (iso9660_t).

Detailed Description
    SELinux denied access requested by gnome-keyring-d. It is not expected that
    this access is required by gnome-keyring-d and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:iso9660_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-58.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     PHLaptop
Platform                      Linux PHLaptop 2.6.23.1-49.fc8 #1 SMP Thu Nov 8
                              21:41:26 EST 2007 i686 i686
Alert Count                   1
First Seen                    Sat 01 Dec 2007 12:11:38 GMT
Last Seen                     Sat 01 Dec 2007 12:11:38 GMT
Local ID                      a8e28763-b729-453d-8a1f-abee811a5959
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm=gnome-keyring-d dev=sr0 name=/ pid=3409
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=dir
tcontext=system_u:object_r:iso9660_t:s0
Comment 1 Daniel Walsh 2007-12-02 22:03:06 EST
Fixed in selinux-policy-3.0.8-64.fc8
Comment 2 Daniel Walsh 2008-01-30 14:18:52 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.